%define	name	skijump
%define	version	0.2.0
%define	rel	7
%define release %mkrel_fixed %rel
%define mkrel_fixed(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(\\d+)$/;$rel=${1}-1;re;print "$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}

%define build_allegro_unstable 0
%{?_without_allegro_unstable: %{expand: %%global build_allegro_unstable 0}}

%define	Summary	Open Ski Jumping

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.skijump.org/
Source0:	http://prdownloads.sourceforge.net/skijump/%{name}-%{version}.tar.bz2
#Source11:	%{name}-16x16.png
#Source12:	%{name}-32x32.png
#Source13:	%{name}-48x48.png
Patch0:		skijump-0.2.0-compile-fix.patch.bz2
Patch1:		skijump-0.2.0-fix-install-as-non-root.patch.bz2
Patch2:		skijump-0.2.0-fix-vardir.patch.bz2
Patch3:		skijump-0.2.0-allegro-4.2.patch.bz2
License:	GPL
Group:		Games/Arcade
Summary:	%{Summary}
%if %build_allegro_unstable
BuildRequires:	allegro-testing-devel
%else
BuildRequires:  allegro-devel
%endif
BuildRequires:	automake, autoconf
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
A clone of Deluxe Ski Jump

%prep
%setup -q

%patch1 -p0
%patch2 -p0
%patch3 -p1

aclocal
automake --add-missing --copy --foreign
autoconf

%patch0 -p1

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon="other_amusement.png" \
		needs="x11" \
		section="Amusement/Sports" \
		title="%{Summary}"\
		longtitle="%{Summary}"
EOF

#%{__install} -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
#%{__install} -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
#%{__install} -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{_gamesdatadir}/%{name}
#%{_iconsdir}/%{name}.png
#%{_liconsdir}/%{name}.png
#%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%attr(4755,root,games) %{_gamesbindir}/*
%dir %attr(0775,root,games) %{_localstatedir}/games/%{name}
%dir %attr(0775,root,games) %{_localstatedir}/games/%{name}/replays
%attr(0664,root,games) %{_localstatedir}/games/%{name}/*.txt
%attr(0664,root,games) %{_localstatedir}/games/%{name}/replays/*.rpl

%changelog
* Thu Sep 22 2005 Guillaume Bedot <littletux@mandriva.org> 0.2.0-7mdk
- Build with allegro-4.2.0

* Sat Jul 30 2005 Guillaume Bedot <littletux@mandriva.org> 0.2.0-6mdk
- Build with allegro-testing is now the default (use --without
 allegro_unstable to build with allegro 4.0.3).
- Fix buildrequires for stable allegro.

* Tue Jul 26 2005 Guillaume Bedot <littletux@mandriva.org> 0.2.0-5mdk
- Build with allegro-testing ( 4.2.0 beta4 )
- Patch1: same as before, but using Makefile.am instead of Makefile.in
- Patch2: same as before, but using configure.ac instead of configure
- Patch3: from blino, allows to build with allegro > 4.1
- added autoconf and automake to the buildrequires

* Sat Apr 02 2005 Guillaume Bedot <littletux@mandriva.org> 0.2.0-4mdk
- make it easy to build with allegro or allegro-testing.
- rebuilt with allegro-testing
- use mkrel
- modified rights

* Tue Feb 15 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.0-3mdk
- move var data to %%{_localstatedir}/games/%%{name} (P2)

* Thu Aug 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.0-2mdk
- rebuild for new menu

* Thu Jul 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.0-1mdk
- initial mdk relase (Kian, this one is for you!)
